Loading...
Searching...
No Matches
NCVRuntimeTemplateBool::KernelCaller< TList, 0, Func > Struct Template Reference

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/people/src/cuda/nvidia/NCVRuntimeTemplates.hpp>`

## Static Public Member Functions

static void | call (Func &functor)
static void | call (Func &functor, std::vector< int > &templateParams)

## Detailed Description

template<class TList, class Func>
struct NCVRuntimeTemplateBool::KernelCaller< TList, 0, Func >

Definition at line 203 of file NCVRuntimeTemplates.hpp.

## Member Function Documentation

## call() [1/2]

template<class TList , class Func >

static void NCVRuntimeTemplateBool::KernelCaller< TList, 0, Func >::call | ( | Func & | functor | ) |

inline static

Definition at line 205 of file NCVRuntimeTemplates.hpp.

## call() [2/2]

template<class TList , class Func >

static void NCVRuntimeTemplateBool::KernelCaller< TList, 0, Func >::call | ( | Func & | functor,
|  | std::vector< int > & | templateParams
| ) |  |

inline static

Definition at line 211 of file NCVRuntimeTemplates.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/people/src/cuda/nvidia/NCVRuntimeTemplates.hpp